blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
47760fceba5de1efb89b71696581aa4681513720
Shell
veegit/dotfiles
/scripts/git-push
UTF-8
174
3.171875
3
[]
no_license
#!/bin/sh branch=`git rev-parse --abbrev-ref HEAD` if [ "$branch" = "master" ] then echo "You are in master-- can't push" exit fi echo $branch git push origin $branch -f
true
ff637ad6e2e05baa21ad19b7875d83e192d2d909
Shell
RunzeWang797/ACIT-4640
/midterm/section3/files/setup/app_setup.sh
UTF-8
2,120
3.40625
3
[]
no_license
#!/bin/bash USER_NAME="hichat" #use to install the service that we neeed install_services(){ ssh A01023366 'sudo yum upgrade -y' ssh A01023366 'sudo yum install git -y' ssh A01023366 'sudo yum install nodejs -y' ssh A01023366 'sudo yum install mongodb-server -y' ssh A01023366 'sudo systemctl enable ...
true
f260eb2db2d9e968fa0d6998a1d0cdf929dc6448
Shell
kek91/scripts
/shell/sysinfo/sysinfo
UTF-8
2,136
4.09375
4
[ "MIT" ]
permissive
#!/bin/bash # Inspired by http://linuxcommand.org/ TITLE="System information for $HOSTNAME" RIGHT_NOW=$(date +"%x %r %Z") TIME_STAMP="Updated on $RIGHT_NOW" system_info() { echo "<h2>OS</h2>" echo "<pre>" lsb_release -a echo "</pre>" } show_uptime() { echo "<h2>Uptime</h2>" echo "<pre>" ...
true
41f622bc91b83f605f931fa5836a74171c661ce5
Shell
nsidc/cumulus-dashboard
/tunnel.sh
UTF-8
2,532
3.953125
4
[]
no_license
#!/bin/bash AWS_PROFILE=sandbox LOCAL_PORT=6789 EC2_KEY=~/.ssh/nsidc-sb.pem PREFIX=nsidc-cumulus-sbx API_SUBDOMAIN=$(aws --profile=${AWS_PROFILE} apigateway get-rest-apis | jq -r ".[] | map(select(.name == \"${PREFIX}-archive\")) | .[].id") HOST=${API_SUBDOMAIN}.execute-api.us-west-2.amazonaws.com if ! grep -E "^12...
true
e0379d81614466f62aba2055bc71ffe11409d69a
Shell
isurudevj/razor-crest
/Kafka/kafka_manage.sh
UTF-8
1,814
3.796875
4
[]
no_license
#!/bin/bash INPUT=$1 clean() { kubectl delete -f dc-kafka.yml kubectl delete -f sc-kafka.yml kubectl delete -f dc-zookeeper.yml kubectl delete -f sc-zookeeper.yml } start() { kubectl apply -f dc-kafka.yml kubectl apply -f sc-kafka.yml kubectl apply -f dc-zookeeper.yml kubectl apply -f sc-zookeeper.yml...
true
cef9ae041d93ddad95f38d21d3681141b81051f9
Shell
douglasmg7/txt
/linux/archlinux/asus/30-xorg.sh
UTF-8
2,375
3.21875
3
[]
no_license
#!/usr/bin/env bash # Identify the graphics card. # lspci -v | grep -A1 -e VGA -e 3D printf "\nInstalling video driver...\n" sudo pacman -S xf86-video-intel vulkan-intel mesa --noconfirm printf "\nInstalling display server..." sudo pacman -S xorg xorg-server --noconfirm printf "\nInstalling Xstart..." sudo pacman ...
true
de0b95d109f024ef2951b4800d0bc28445d05eaa
Shell
akashmahakode/benchmarking_file_systems
/ceph/filegen.sh
UTF-8
303
3.328125
3
[]
no_license
#!/bin/bash count="$1" size="$2" fn=`hostname` #mkdir some_dir; cd some_dir; i=1 while [ "$i" -le "$count" ]; do if [ "$size" -gt 5000000000 ] then size=`expr $size / 2` perl -e 'print "a" x '$size'' >> $fn-file$i fi perl -e 'print "a" x '$size'' >> $fn-file$i i=$(($i + 1)) done cd ..
true
cdcd00fe87ec6241eb390dc3590bc8fba66097a7
Shell
slava-github/slava-scripts
/lib/screenlayout/work-mon.sh
UTF-8
1,885
3.09375
3
[]
no_license
#!/bin/bash xrl=/tmp/xrandr.last function waitWM { data=$1; # while wmctrl -d|grep -vq "$data";do sleep 1;done; for (( i=1 ; $i<10 ; i++ )) ; do if wmctrl -d|grep "$data";then i=100 else sleep 1 fi; done; if [ "$i" == "10" ];then wmctrl -d fi } function saExit { xrandr -q >$xrl exit } ( FILE=/...
true
7f994ce32a96a11a02b3b446e0338513645445e5
Shell
11philip22/scripts
/autogit.sh
UTF-8
151
3.125
3
[ "MIT" ]
permissive
#!/usr/bin/env bash if [[ $# -eq 0 ]]; then msg=$(date '+%F_%H:%M:%S') else msg=$@ fi git add . git commit -m "${msg}" git push origin master
true
e1b484985e86fa4dd4e6d51eb08352bc6659bdc1
Shell
ymxl85/MRs-based-test-suite-for-APR
/original/Angelix/pt2/rds/7/oracle3
UTF-8
3,025
2.9375
3
[]
no_license
#!/bin/bash set -euo pipefail SCRIPT_DIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd) test-pt2 () { diff <(${ANGELIX_RUN:-angelix-eval} ./pt2 "$1") <(angelix-eval $SCRIPT_DIR/../golden/pt2 "$1") } case "$1" in 1) test-pt2 "0G~%[a[czf" ;; 2) test-pt2 "kH" ;; 3) test-pt2 ...
true
2f9b2fd693979b0b1ef17f7850489cd261f4f19d
Shell
Dysonsun/tools
/bag_covert/record_bag.zsh
UTF-8
1,878
3.5
4
[]
no_license
#!/usr/bin/env zsh ############################################################################### #2020/9/18 sundong ############################################################################### DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" source "${DIR}/install_isolated/setup.zsh" function pose() { ...
true
f3fbc404fe820f4918627feac0f77530dc12e328
Shell
outtersg/guili
/util.versions.test
UTF-8
2,228
3.25
3
[ "MIT" ]
permissive
#!/bin/sh # Copyright (c) 2019-2020 Guillaume Outters # # Permission is hereby granted, free of charge, to any person obtaining a copy # of this software and associated documentation files (the "Software"), to deal # in the Software without restriction, including without limitation the rights # to use, copy, modify, m...
true
6609ce46f1c41276ba4f2c070d6ca49d9112308c
Shell
NetBSD/pkgsrc
/net/avahi/files/avahidaemon.sh
UTF-8
391
2.984375
3
[]
no_license
#!@RCD_SCRIPTS_SHELL@ # # $NetBSD: avahidaemon.sh,v 1.2 2008/12/20 23:51:39 ahoka Exp $ # # PROVIDE: avahidaemon # REQUIRE: DAEMON # KEYWORD: shutdown # if [ -f /etc/rc.subr ] then . /etc/rc.subr fi name="avahidaemon" rcvar=${name} command="@PREFIX@/sbin/avahi-daemon" required_files="@PKG_SYSCONFDIR@/avahi-daemon.co...
true
ab5297131e05c9e27eb22971096b64e38fcbeada
Shell
ipogudin/gauge
/scripts/conductor
UTF-8
319
3.71875
4
[ "Apache-2.0" ]
permissive
#!/bin/bash conductor_help() { echo "Usage: builder conductor [sub-command]" echo "You must use on of the following sub-commands:" echo " help - to print this help message" } conductor() { case $1 in help) conductor_help ;; *) echo "Unknown or ansent command." echo conductor_help ;; esac }
true
763f30ca77069c838fbcb81f2ef74706926d7467
Shell
KalinaKar/Code-Academy
/shell/shell_kaliimitko2.sh
UTF-8
345
3.65625
4
[]
no_license
#!/bin/bash TEST_FILE=kaliimitko if [ ! -f "$TEST_FILE" ]; then echo "Binary file is not available, creating..." && gcc -g kaliimitko.c -o $TEST_FILE fi check_status() { if [ "$STATUS" -ne "0" ] then echo "ERROR! OH NO, IT IS GONNA BLOW!" else echo "ALL GOOD, MOVE ALONG!" fi } ./$TEST_FILE STATUS=$? && ch...
true
3d399bad268a56164176fa4acdd04caf18aa409b
Shell
isaiah-king/acme-freight-erp
/.bluemix/pipeline-TEST.sh
UTF-8
322
2.578125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash npm config delete prefix curl -o- https://raw.githubusercontent.com/creationix/nvm/v0.31.2/install.sh | bash . ~/.nvm/nvm.sh nvm install 4.4 npm install if [ -z ${COVERALLS_REPO_TOKEN} ]; then npm run localcoverage echo No Coveralls token specified, skipping coveralls.io upload else npm run coverage f...
true
fefded2a68c02293e05fe1ef5b0feef592d39837
Shell
dv01-inc/semantic-release-gcr
/scripts/gcloudlogin.sh
UTF-8
365
2.6875
3
[ "MIT" ]
permissive
#! /bin/bash if [ ! -d "$HOME/google-cloud-sdk/bin" ]; then rm -rf $HOME/google-cloud-sdk; curl https://sdk.cloud.google.com | bash; fi # Add gcloud to $PATH source $HOME/google-cloud-sdk/path.bash.inc gcloud version # Authentication flow echo $GCLOUD_KEY | base64 --decode > gcloud.json gcloud auth activate-service-ac...
true
67a72563dbab6a6472963e0c6e4eaed26ae60046
Shell
seanpdoyle/dotfiles-local
/osx/defaults
UTF-8
3,644
2.859375
3
[]
no_license
#!/usr/bin/env bash # Sets reasonable OS X defaults. # # Or, in other words, set shit how I like in OS X. # # The original idea (and a couple settings) were grabbed from: # https://github.com/mathiasbynens/dotfiles/blob/master/.osx # # Run ./set-defaults.sh and you'll be good to go. # Disable the sound effects on b...
true
1ea9a94b0eb4f01fc4d4f92aaa40de5d939606d1
Shell
Vinotha16/WIN_ROLLBACK
/templates/linux_audit/rhel7/lockout_532_audit.fact
UTF-8
362
2.984375
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash # ** AUTO GENERATED ** # 5.3.2 - Ensure lockout for failed password attempts is configured (Automated) if [ $(sudo grep -E '^\s*auth\s+\S+\s+pam_(faillock|unix)\.so' /etc/pam.d/system-auth /etc/pam.d/password-auth | wc -l) -eq 0 ]; then echo "{ \"lockout_532_audit\" : \"FAILED\" }" else echo "{ \"l...
true
8aadf0497b73a98829b3d452e7821b0d0ef6e40a
Shell
ptechen/k8s_deploy_step
/kubernetes/kube-controller-manager.sh
UTF-8
3,072
3.03125
3
[]
no_license
#!/bin/bash echo '#!/bin/sh ./kube-controller-manager \ --cluster-cidr 172.3.0.1/16 \ --leader-elect true \ --log-dir /data/logs/kubernetes/kube-controller-manager \ --master http://127.0.0.1:8080 \ --service-account-private-key-file ./certs/ca-key.pem \ --service-cluster-ip-range 192.168.0.0/16 \ --root...
true
781a7aee58481c71a45722af0ebbd7ab11719fbf
Shell
BaiChaYuLu/host_manager
/Optimizing_Configuration/apache_secure/mod_gzip.sh
UTF-8
1,103
2.984375
3
[]
no_license
#!/bin/bash #Open the gzip compression CONF_PATH=`find / -name 'httpd.conf' -a -type f` [ -d /usr/local/backup ] || mkdir -p /usr/local/backup [ -d /usr/local/resault ] || mkdir -p /usr/local/resault ##edit the configuration file [ `find / -name "mod_deflate.so"` ] || echo "mod_deflate.so is not exist...
true
a8e387179d5256274a0215ecc20d4d9c116b696b
Shell
dglyzin/quizgen
/accounting/broadcaster.sh
UTF-8
549
3.21875
3
[ "MIT" ]
permissive
#!/bin/bash onlygroup=$1 input="users_wpw.txt" while IFS= read -r line do user=$(echo $line | awk '{print $1}') group=$(echo $line | awk '{print $8}') if [ $onlygroup = $group ] then echo $word1 echo cp /home/clusterhome/dglyzin/class2-2020-11-02.ipynb /home/clusterhome/$user/ cp /home/clusterhom...
true
ad917ff6acbfb0c1700ed766b45e4e60978a4096
Shell
Garuda-1/ITMO-OS
/lab4/task6/override.sh
UTF-8
303
3.40625
3
[]
no_license
#!/bin/bash MSG="monka_omega" MODE="RUN" terminate() { MODE="TERM" } echo $$ > .pid trap 'terminate' SIGTERM while true do case $MODE in "RUN") echo -ne "\r \r$(date)" sleep 1 ;; "TERM") echo -ne "\nExecution interrupted. Exiting...\n" exit 0 ;; esac done
true
468c66cb0bdc6afe5d5f4c1da570692e98cffab4
Shell
cha63506/OneClickInstall
/web/Executables/tools/check-previous-version.sh
UTF-8
1,627
3.265625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # (c) Copyright Ascensio System Limited 2010-2015 # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # http://www.apache.org/licenses/LICENSE-2.0 # Unless required by applicable law o...
true
efd019fa12725dd6245e8722bc6ca4b0124192f3
Shell
scalecube/scalecube-vaultenv
/scripts/test-secret-input.sh
UTF-8
121
2.515625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash read secrets echo ">>> echoing secrets from process input: [$secrets]" while true; do date; sleep 1; done
true
4ad9fa8e0ca247992c08eb85efa561bf71bd88e4
Shell
sihunqu123/dotfiles
/script/sb.sh
UTF-8
62,608
3.40625
3
[ "MIT" ]
permissive
#!/bin/bash echo "in sb launcher" set -o errexit set -o pipefail #set -o nounset ###################################################################################### ### If you failed to run this script, pls enable below 2 lines to enable debugging ### ###############################################################...
true
3ffc3bacb7f528cc04d8d15498b35b67263766ec
Shell
tranphuquy19/packer-templates
/centos/script/01_desktop.sh
UTF-8
1,964
3.609375
4
[]
no_license
#!/usr/bin/env bash # Check if script is running as a desktop installation. # If not, exit without configuring UI if [[ ! "$DESKTOP" =~ ^(true|yes|on|1|TRUE|YES|ON])$ ]]; then exit fi # CentOS version info - e.g., CentOS 7.8.2003 (v7.8 released March 2020) # full_version=$(< /etc/centos-release tr -dc '0-9.') major...
true
950df83e8776bde34eec8025a913d652730e4fe6
Shell
zerodayz/openstack-gitrepos
/setup.sh
UTF-8
163
2.796875
3
[]
no_license
#!/bin/bash DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" python $DIR/generate-repos.py for p in $(cat "$DIR/gitrepos"); \ do git clone $p; done
true
7708244935485cf8a1c37b90f50d78ea7412d3c7
Shell
sancus-project/sancus-lua-web-example
/src/makefile_gen.in
UTF-8
239
3.28125
3
[]
no_license
#!/bin/sh list() { if [ $# -eq 0 ]; then cat else echo "$@" fi | tr -s ' ' | tr ' ' '\n' | sort -V | tr '\n' '|' | sed -e 's,|$,,' -e 's,|, \\\n\t,g' } listall() { find "$@" ! -type d | grep -v '\(~\|\.swp\|\.orig\)$' | list }
true
1d80d17d3bdc8bcfc43d95bdbf36c938eeac33d1
Shell
Mrmaxmeier/stuff
/pamixer-notify.sh
UTF-8
383
3.109375
3
[]
no_license
#!/bin/bash notify() { notify-send -t 1000 --hint=int:transient:1 "$1" "Current is $(pamixer --get-volume-human)" --icon=multimedia-volume-control } case "$1" in up) pamixer -i 2 notify "Volume +2%" ;; down) pamixer -d 2 notify "Volume -2%" ;; mute) pamixer -t notify "Toggle ...
true
4014990f1ed315d335b5a81f0a540291083d05c0
Shell
ggerganov/whisper.cpp
/examples/whisper.nvim/whisper.nvim
UTF-8
2,034
3.65625
4
[ "MIT" ]
permissive
#!/bin/bash # INSTRUCTIONS # # This simple script is called by Neovim to capture audio from the microphone and transcribe it with Whisper. # In order for this to work, you need to clone the whisper.cpp repo and build the 'stream' tool # # git clone https://github.com/ggerganov/whisper.cpp # cd whisper.cpp # make...
true
dd4bc5c53670be99de7b5dd2395eff351eabf535
Shell
deepio/dot_files
/.functions
UTF-8
3,431
3.328125
3
[]
no_license
#!/bin/sh function cleanmeta() { xattr -c * && exiftool -all= * && rm *_original } function cleanpip() { pip freeze | xargs pip uninstall -y } function http2ssh() { REPO_URL=`git remote -v | awk '{print $2; exit}'`; GIT_USER=${REPO_URL#*com/}; GIT_USER=${GIT_USER%%/*} GIT_REPO=${REPO_URL#*${GIT_USER}/}; GI...
true
5d5f71f9bbcc1495e2f076f4d11a9c28ec6010b4
Shell
kaizendevsio/MinnyCasinoAffiliate
/oneclick.portal.sh
UTF-8
988
2.765625
3
[ "Apache-2.0" ]
permissive
#!/bin/bash clear #echo "Stopping API Server ..." #sudo systemctl stop MinnyCasinoAffiliateWebApi.service #sudo systemctl status MinnyCasinoAffiliateWebApi.service echo "Stopping Front-End Server ..." sudo systemctl stop MinnyCasinoAffiliateWebPortal.service #sudo systemctl status MinnyCasinoAffiliateWebPortal.service...
true
a80e78666d4431898480eab4d2a6ed2e20442445
Shell
Eitol/go-env-installer
/install/deps/install_go.sh
UTF-8
737
3.078125
3
[]
no_license
#!/usr/bin/env bash ## CONFIG USR=`whoami` SHARED_FOLDER=/home/${USR}/NAS ## GO CONFIG GOVER='1.11.1' GOPATH=/opt/go GO_INSTALL_FOLDER=/usr/local/ GOROOT=${GO_INSTALL_FOLDER}/go # Install deps sudo apt update -ybuild-essentials sudo apt dist-upgrade -y apt install git make build-essentials -y # Install go sudo mkdir...
true
a26eee23bba8fbb12364ac50b11b87fac5e008ac
Shell
Shanfan/garden-windows-ci
/tasks/write-windows2016fs-opsfile/run
UTF-8
377
2.890625
3
[ "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/usr/bin/env bash set -eu pushd release-tarball release_version=$(bosh int --path /version <(tar -xzf release.tgz -O release.MF)) popd echo "Found version: $release_version" cat << EOF > windows2016fs-opsfile/specified-windows2016fs-version.yml --- - type: replace path: /releases/name=windows2016fs? value: ...
true
fcb180f127e54c69c106bce92570d25b19bb80b4
Shell
AntonioRodrigo92/Script_Project
/atualiza_musicas.sh
UTF-8
1,033
3.25
3
[]
no_license
#!/bin/bash read file i=1 d=$(cat $file | wc -l) b=$(($d+1)) while [ $i -lt $b ]; do titulo1=$(cat $file | cut -d ':' -f1 | head -$i | tail -1) artista1=$(cat $file | cut -d ':' -f2 | head -$i | tail -1) ii=1 dd=$(cat musicas.txt | wc -l) bb=$((dd+1)) templinefile=$(cat $file | head -$i | tail -1) while [ $ii...
true
256bc81858b2ced01d482f171731269bbefcba6e
Shell
jiangbiaoah/oilserver
/server_comm/logsplit.sh
UTF-8
434
2.96875
3
[]
no_license
#!/bin/sh # 该脚本需要放在项目目录下,即/server_comm/logsplit.sh,而不是根目录 cd /root/server_comm logfold="logfold" if [ ! -d "$logfold" ]; then mkdir "./$logfold" fi folder=`date +"%Y-%m"` if [ ! -d "./$logfold/$folder" ]; then mkdir "./$logfold/$folder" fi yesterday=`date -d "1 day ago" +"%Y%m%d"` logfilename="log_$yesterday" c...
true
bfa93793c1fa364b47219c808dfbc0156546a25a
Shell
dustyleary/langproto
/lang.3/runtests.sh
UTF-8
441
3.4375
3
[]
no_license
cd $(dirname $0) if [ -n "$(which tput)" ]; then green="`tput sgr0; tput setaf 2`" GREEN="`tput setaf 2; tput bold`" RED="`tput setaf 1; tput bold`" colors_reset="`tput sgr0`" fi passed="${GREEN}# OK" for f in ./test*.ss ; do { echo "$green# $f $colors_reset" && $f && echo -e "$passed"; } || { echo -e "$...
true
0465affb618e56d9d8be5d6dab2c3ec099df70ca
Shell
sergeimonakhov/encryptbackup
/mysqlback.sh
UTF-8
478
3.828125
4
[]
no_license
#!/bin/sh DATE=`date +%F` DIR=/tmp BASES="$1" #MYSQL_USER USER=root #MYSQL_PASS PASSWD="qwerty" #Функция бэкапа БД backupDB() { echo -n "Dumping $BASES..." ((mysqldump -u $USER -h localhost -p$PASSWD $BASES | gzip -c > $DIR/$BASES$DATE.sql.gz) \ && echo -n "ok "; du -h $DIR/$BASES$DATE.sql.gz ...
true
62423c8c9370d6e8f597f704d3dacb852fd2ea43
Shell
mahongquan/termux-rootfs
/termux-rootfs/data/data/com.termux/files/usr/etc/basic_environment.sh
UTF-8
2,985
2.953125
3
[]
no_license
############################################################### ## ## Basic environment for Termux ## ## Should be sourced by any shell's profile. ## ############################################################### ## ## Set the strict file mode creation mask so ## only user with Termux UID can access them. ## umask ...
true
1094339a1f307ac4041c2fb96a082ff27c7dfb33
Shell
Gabelbombe/infra-ci
/scripts/tf.sh
UTF-8
331
3.25
3
[]
no_license
#!/usr/bin/env bash set -euo pipefail if [[ $# -lt 1 ]]; then echo "usage: $0 <aws_profile>" exit 1 fi PROFILE=$1 shift AWS_ACCESS_KEY_ID=$(aws configure --profile $PROFILE get aws_access_key_id) \ AWS_SECRET_ACCESS_KEY=$(aws configure --profile $PROFILE get aws_secret_access_key) \ docker-compose run te...
true
149fcdc7b9ee85e951eb0c1cec3766971c1ed55d
Shell
ffremont/Downloader
/player.sh
UTF-8
1,694
3.9375
4
[ "MIT" ]
permissive
#!/bin/bash # # see http://linuxcommand.org/lc3_adv_dialog.php # xfce4-terminal -e "bash -c 'player.sh'" PLAYER_CMD=(vlc) SAVEIFS=$IFS IFS=$(echo -en "\n\b") # lire (player) ou marquer comme lu (mv) showAction () { FILENAME=$1 actionCmd=(dialog --clear --cancel-label "Annuler" --output-fd 1 --title "Action...
true
10b3ab70ae4788e1e671ed8a988ac476a9298d90
Shell
jasonwwl/docker-php
/build.sh
UTF-8
365
2.609375
3
[]
no_license
#!/bin/bash TAG=$1-$2 docker build -t docker-php ./hyperf/$1 docker login -u $DOCKER_USERNAME -p $DOCKER_PASSWORD shiyuehehu-registry.cn-beijing.cr.aliyuncs.com echo php-hyperf:$TAG docker tag docker-php:latest shiyuehehu-registry.cn-beijing.cr.aliyuncs.com/common/php-hyperf:$TAG docker push shiyuehehu-registry.cn-be...
true
b69bf36ca7789e35787d16b20b1c14195ad9e8a4
Shell
RazvanRanca/iGEM-Modelling
/sensitivity.sh
UTF-8
1,073
3.546875
4
[]
no_license
#!/bin/bash dir=${1:-"t1"} runs=${2:-1} echo "Running with: "$dir" "$runs cd $dir rm *~ rm -rf rez* #echo $runs noFiles=$(grep -l '}' * | wc -l) if [ $noFiles != 1 ] then echo MORE THAN 1 FILE MATCHING PATTERN exit fi file=$(grep -l '}' *) echo $file noMatches=$(grep -c '}' $file) if [ $noMatches != 1 ] then ec...
true
0e2cea32116d1ed4752e84f0a1f4ac14eeb7ad61
Shell
tjlygdx/Utopia
/service.sh
UTF-8
1,843
3.703125
4
[]
no_license
#!/bin/bash # utopia Startup script for the utopia Server # # chkconfig: - 85 12 # description: Open source detecting system # processname: utpia # Date: 2015-12-16 # Version: 1.0.0 # Site: http://www.utpia.deppon.com # Author: utopia group . /etc/init.d/functions export PATH=/usr/local/sbin:/usr/loc...
true
b48068f16b30579f13aa08725b048a815082093e
Shell
tskkst51/lplTrade
/bu/scripts/testResults.sh
UTF-8
921
3.203125
3
[]
no_license
#!/bin/bash ## Run the allTest.sh program and iterate its results wp=$(pwd) testCmd="${wp}/bin/test.py" if [[ ! -e $testPath ]]; then echo $testPath not found! exit 1 fi host=$(hostname -s) if [[ $host == "ML-C02C8546LVDL" ]]; then activateDir="/lplW" else activateDir="/venv" fi activateCmd=$(dirnam...
true
ce70e0b82f94c1043d643060e06656e6943e2314
Shell
rgarner/lcc-site-allocations-data
/bin/extract_sites.sh
UTF-8
1,599
2.703125
3
[]
no_license
#!/bin/sh set -ex RAW=data/raw OUTPUT=data/output tabula "$RAW/1. Aireborough A3 Inc Site Schedule.pdf" -p 1-4,6-9 --spreadsheet | grep '^[0-9]\|^HLA' > $OUTPUT/1.csv tabula "$RAW/2. City Centre A3 Inc Site Schedule.pdf" -p 2-13 --spreadsheet | grep '^[0-9]\|^HLA' > $OUTPUT/2.csv tabula "$RAW/3. East L...
true
67de12cda705a11d9590b786070dc81354994741
Shell
FokinAleksandr/dotfiles
/.macos
UTF-8
6,925
2.734375
3
[]
no_license
#!/usr/bin/env bash # ~/.macos — https://mths.be/macos echo "making system modifications:" # Close any open System Preferences panes, to prevent them from overriding # settings we’re about to change osascript -e 'tell application "System Preferences" to quit' #########################################################...
true
dd74f59829767123a7853c0e0faea130101d8adf
Shell
cbm-fles/flesnet
/contrib/install-docker
UTF-8
1,110
3.328125
3
[]
no_license
#!/bin/bash # Install Docker Engine on a Debian Jessie or Stretch # from https://docs.docker.com/engine/installation/linux/docker-ce/debian/ echo "*** Uninstall old versions" sudo apt-get remove docker docker-engine docker.io set -e # SET UP THE REPOSITORY echo "*** Install prerequisites" sudo apt-get update # Ins...
true
638f42f6c53cadcb20ecf13d2c28980cf9d9395b
Shell
blake-wilson/nixpkgs
/pkgs/games/keen4/builder.sh
UTF-8
755
3.65625
4
[ "MIT" ]
permissive
#!/usr/bin/env bash set -o nounset # shellcheck source=/dev/null source "${stdenv}/setup" mkdir -p "${out}/share/keen4" unzip -j "$dist" -d "${out}/share/keen4" mkdir -p "${out}/bin" cat > "${out}/bin/keen4" <<EOF #! $SHELL -e if test -z "\$HOME"; then echo "HOME directory not set" exit 1 fi # Game wants t...
true
4233ed371d790317b7d421e7b5d6e40f248f8fbe
Shell
mohammedsuhail83/bash-script
/case-statment.sh
UTF-8
380
3.609375
4
[]
no_license
#! /bin/bash echo echo please choose one of the options below echo 'a=to print the server name' echo 'b=to print the load average and uptime' echo 'c=to check who are loggedin the server' echo 'd=to print the current directory' read choice case $choice in a) hostname ;; b) uptime ;; c) who ;; d) ...
true
c25cd777f9849fd93f30d16481e615e3a1761c0f
Shell
webconn/ausrv_solution2017
/run_tests.sh
UTF-8
570
3.78125
4
[]
no_license
#!/bin/bash BINARY=$1 TESTS_DIR=$2 RESULT="PASS" if [[ $# -lt 2 ]]; then echo "Usage: $0 prog_binary tests_dir" exit 1 fi echo "-> Run positive tests" for f in `ls $TESTS_DIR/YES`; do if ! $BINARY $TESTS_DIR/YES/$f; then echo " Test $f failed!" RESULT="FAIL...
true
6f7ec62914b3da7d1b027925de0482a32f5c582b
Shell
mtfuller/CS-4504-Project
/run
UTF-8
371
3.390625
3
[ "MIT" ]
permissive
#!/bin/bash app_name=$1 BUILD_DIR="./out/" # MAIN_CLASS="Main" # SERVER_ROUTER_CLASS="edu.kennesaw.cs4504.services.TCPServerRouter" if [ "$app_name" = "main" ] ; then java -cp $BUILD_DIR $MAIN_CLASS elif [ "$app_name" = "router" ] ; then echo $SERVER_ROUTER_PATH java -cp $BUILD_DIR $SERVER_ROUTER_CLASS else ...
true
1f176547ef3b1fab39bf42a82ad5f02c18b023b9
Shell
imma/wtf
/exec/tf-plan
UTF-8
327
3.078125
3
[ "Apache-2.0" ]
permissive
#!/usr/bin/env bash function main { local shome="$(cd -P -- "${BASH_SOURCE%/*}/.." && pwd -P)" source "$shome/script/profile" source normalize terraform get terraform plan -out .plan "$@" if [[ "$(terraform show .plan)" == "This plan does nothing." ]]; then rm -f .plan fi } source sub "$BASH_SOURCE...
true
66f17fa3f9486fa1a68eec23fa6e38c8a87dba31
Shell
leuty/primary_data_SMP_Feedback
/simualtions/gen_boundaries/0_get_data/job
UTF-8
680
2.609375
3
[ "MIT" ]
permissive
#!/bin/bash -l # #SBATCH --job-name=get_data #SBATCH --output=job.out #SBATCH --time=01:00:00 #SBATCH --ntasks=1 #SBATCH --partition=xfer module unload xalt if [ ! -d ../input/output/ifs2lm ] ; then mkdir -p ../input/ifs2lm ;fi find /project/pr04/ERAinterim/2006/ERAINT_2006_{05..08}.tar.gz -exec tar --transform 's/ca...
true
ef1cf7fc6dd9223f5393269f295f110dd998f4c9
Shell
seanbreckenridge/dotfiles
/.config/zsh/functions/which-cat
UTF-8
626
4.34375
4
[ "MIT" ]
permissive
#!/bin/zsh #runs which, and prints the contents of the function/script function which-cat() { local COMMAND_OUTPUT USER_INPUT USER_INPUT="${1:?Must provide a command to lookup}" if COMMAND_OUTPUT="$(which "${USER_INPUT}")"; then # if the file is readable if [[ -r "${COMMAND_OUTPUT}" ]]; then if iconv --from-...
true
66d85e381d4dd160414e9c8cc34556e2a7f50cbb
Shell
Riey/gentoo-emuera
/games-util/emuera-launcher/files/emuera
UTF-8
140
2.671875
3
[]
no_license
#!/bin/sh GAME_DIR=${1:-$PWD} pushd "$GAME_DIR" ln -s /usr/lib/emuera/Emuera.exe .#Emuera.exe wine .#Emuera.exe rm .#Emuera.exe popd
true
35e980fa7d49f5553500a7dee1f618ba37f1972f
Shell
totte/desktop
/konsole/PKGBUILD
UTF-8
851
2.765625
3
[]
no_license
#Contributions from Arch: https://projects.archlinux.org/svntogit/packages.git/tree/trunk?h=packages/konsole source ../kdeapps.conf pkgname=konsole pkgver=${_kdever} pkgrel=1 pkgdesc="KDE's terminal emulator" arch=('x86_64') url='http://kde.org/applications/system/konsole/' screenshot=('https://www.kde.org/images/scre...
true
929d3ddf132ad25893c37e227093f216df1d2d14
Shell
goffinet/netascode
/Installation_components/docker_compose_setup.sh
UTF-8
512
2.84375
3
[ "MIT" ]
permissive
#!/usr/bin/env bash echo "" echo "Installation and checking docker-compose..." sudo curl -L "https://github.com/docker/compose/releases/download/1.23.2/docker-compose-$(uname -s)-$(uname -m)" -o /usr/local/bin/docker-compose sudo chmod +x /usr/local/bin/docker-compose sudo ln -s /usr/local/bin/docker-compose /usr/bin/...
true
d1b89c20c6708f590ced442dfe15df838fe519c3
Shell
ravikiran529/shell_scripts
/password.sh
UTF-8
819
4.28125
4
[]
no_license
#!/bin/bash #To create new user: usage(){ cat << EOF Usage format: ==================================================== password.sh [-u] <USER_NAME> [-p] <PASSWD> options: u - Pass Username p - Set Password ==================================================== EOF exit 0 } while getopts ":u:p:h" ...
true
be8ef70b7e684a24e09f68118014815b15e9322d
Shell
aryabartar/BSc-HWc
/Operating Systems Lab/HW2/q1.sh
UTF-8
241
3.625
4
[]
no_license
#!/bin/bash read -p "Input: " INPUT1 INPUT2 if [ $INPUT1 -gt 10 ]; then echo "Value is greater than 10!" elif [ $INPUT1 -gt $INPUT2 ]; then echo "First number is greater than second one." else echo "Second number is greater!" fi
true
2f1ca2ddf754383f93beda489c9d2fce52861d74
Shell
bundai223/new_dotfiles
/scripts/install_neovim.sh
UTF-8
295
2.625
3
[]
no_license
#!/usr/bin/env bash BASEPATH=/usr/src sudo yum -y install libtool autoconf automake cmake gcc gcc-c++ make pkgconfig unzip cd $BASEPATH git clone https://github.com/neovim/neovim.git cd neovim if [ -e build ]; then rm -r build fi make clean make CMAKE_BUILD_TYPE=Release make && make install
true
c8a0dbeadce6089f89084ea50305737b14f695c1
Shell
YMC-GitHub/vscode-snippet-shell
/scripts/common-function.sh
UTF-8
586
3.71875
4
[ "MIT" ]
permissive
#!/bin/sh function hasFile() { local result="false" if [[ "${1}" && -e "${1}" ]]; then result="true" fi echo "$result" } function hasDir() { local result="false" if [[ "${1}" ]]; then if [ -d "${1}" ]; then result="true" fi fi echo "$result" } function getFiles() { local dir_or_file...
true
e07517de7b46960081ebd1ecd81734221576fe4d
Shell
mustssr/RoadToDevOps
/01-installation-scripts/08-EFK/start-filebeat.sh
UTF-8
2,415
3.75
4
[]
no_license
#!/bin/bash [ -f /etc/timezone ] || echo "Asia/Shanghai" > /etc/timezone function check_server_in_host() { server=$1 grep ${server} /etc/hosts &> /dev/null if [ $? -eq 0 ];then echo -e "\033[33m${server} 主机信息:\033[0m" grep "${server}" /etc/hosts else echo -e "\033[31m/etc/hosts中...
true
2cb6a1e9a1c839243fb6637554760b149464cc55
Shell
a809704431/shell-auto-install
/script/nodejs.sh
UTF-8
1,343
3.65625
4
[]
no_license
#!/usr/bin/env bash get_nodejs() { test_package node-v8.9.3-linux-x64.tar.xz http://shell-auto-install.oss-cn-zhangjiakou.aliyuncs.com/package/node-v8.9.3-linux-x64.tar.xz 32948a8ca5e6a7b69c03ec1a23b16cd2 if [ $language -eq 1 ];then echo "node-v8.9.3-linux-x64.tar.xz 下载完成" else echo "node-v...
true
0fe3d4a40d4efb71badc3abb13a7c1a4020f8caf
Shell
maksru/42
/PISCINE_C/j09/ex11/where_am_i.sh
UTF-8
138
2.703125
3
[]
no_license
RET=$(ifconfig | grep '\<inet\>' | cut -d ' ' -f2 | grep -v 127) a=${?} if [ ${a} -ne 0 ]; then echo "Je suis perdu!"; else echo $RET; fi
true
cd8b452ec708f32438c7f6bb879867f9007d7341
Shell
nguyenminhhieu12041996/casper-node
/utils/nctl-metrics/prometheus.sh
UTF-8
385
3.5625
4
[ "Apache-2.0" ]
permissive
#!/bin/sh #: Run a prometheus instance that collects metrics from a local nctl network. cd $(dirname $0) PROMETHEUS_TAG=prom/prometheus echo "Genarating config." ./gen_prometheus_config.py > prometheus.yml echo "Starting prometheus." exec docker run \ -i \ --rm \ --net=host \ -p 9090:9090 \ -v $(pwd)/pro...
true
6862302b91f7e922487ade11f62a6f55fa8ac856
Shell
Sanketh1220/fundoo-notes-angular-frontend
/deploy.sh
UTF-8
696
2.828125
3
[]
no_license
#!/bin/bash BUNDLE_FILE_BASE=fundoo-frontend BUNDLE_FILE=$BUNDLE_FILE_BASE-$BUILD_NUMBER.tar.gz SERVER_IP=18.119.109.3 APPS_HOME=/home/ec2-user/apps FOLDER_NAME=fd-frontend EC2_SSH_KEY=/var/lib/jenkins/jenkins_key.pem rm -rf *.tar.gz npm install npm run build cd dist/fundoo-notes-app tar czf $BUNDLE_FILE * scp -o Str...
true
8f8c8a18d6b744a1e86c1954ec1ee5781200f8a9
Shell
kelubi/DevOps
/scripts/rsync_api.sh
UTF-8
2,036
3.59375
4
[]
no_license
#!/bin/bash #Script:bshare_rsync.sh #Author:damon #DATE:2013/07/15 #REV:1.0 #Action:package rsync function into an api SYNC_USER="" SYNC_USER_ID="" SYNC_PORT= SYNC_AUTH="ssh -p $SYNC_PORT -i $SYNC_USER_ID" RSYNC="/usr/bin/rsync" function move_file(){ #3 parametes for this function #move files by rsync CP...
true
112419e8e7a716fd46d2c81a34c1f93df6457e45
Shell
dice-project/DICE-Monitoring
/bootstrap/provision.sh
UTF-8
563
2.59375
3
[ "Apache-2.0" ]
permissive
#!/bin/bash # Obtain chef client wget https://packages.chef.io/files/stable/chef/12.18.31/ubuntu/14.04/chef_12.18.31-1_amd64.deb dpkg -i chef_12.18.31-1_amd64.deb # Obtain chef cookbooks wget https://github.com/dice-project/DICE-Chef-Repository/archive/develop.tar.gz tar -xf develop.tar.gz # Run chef cd DICE-Chef-Re...
true
424bd0af98ea9dced9d25738295cba47ad1b7e73
Shell
manbobo2002/gcp-migrate-instance
/instance-script.sh
UTF-8
683
2.671875
3
[]
no_license
sudo screen -S image-transfer image_disk="wp-image-disk" bucket="custom-image-storage-20200610" cat <<EOF >> script.sh sudo mkdir /mnt/tmp sudo mkfs.ext4 -F /dev/disk/by-id/google-temporary-disk sudo mount -o discard,defaults /dev/disk/by-id/google-temporary-disk /mnt/tmp sudo mkdir /mnt/${image_disk} ls /dev/disk/by...
true
5d12cc1f381414e7b3619db7d087ba1a0759bde9
Shell
LASER-UMASS/JavaRepair-replication-package
/src/statistical-tests-execution/RQ4/reproduce-rq4.sh
UTF-8
3,081
2.71875
3
[]
no_license
##################################### # PURPOSE: This is the driver script used to generate results for RQ4 # INPUT: path to directory containing patch quality assesment scores for RQ4 patches (../../../results/RQ4/patch-quality-assessment/) # OUTPUT: plots and results presented in paper # CMD TO RUN: bash reproduce-r...
true
9c5b6eff7ffb2b8692b24598503d0aaf46a0185d
Shell
softecspa/puppet-softec
/files/bin/root_device
UTF-8
3,697
3.921875
4
[]
no_license
#!/bin/bash set -u ############################################################### # Lorenzo Cocchi <lorenzo.cocchi@softecspa.it> # # # # Script per identificare il device su cui e' risiede la `/` # # ex.: /dev/sda, /dev/cciss/c0d0 ...
true
9270dbdb154d902d58ac2ae67e5406774a2930ef
Shell
perry-mitchell/dotfiles
/install/brew-cash.sh
UTF-8
325
2.59375
3
[ "MIT" ]
permissive
#!/bin/bash if isMac; then return fi brew tap caskroom/versions brew tap caskroom/cask brew tap caskroom/fonts apps=( firefox flux font-fira-code google-chrome google-chrome-canary macdown opera screenflow sourcetree transmit virtualbox visual-studio-code vlc ) brew cask install "${apps[...
true
220214749ec08115220ca5f672207fad6b147814
Shell
bigman9/summary
/shell/max.sh
UTF-8
955
2.796875
3
[]
no_license
#!bin/bash # mysql env # ## IP="10.0.0.35" PORT="3306" DB_M="MILLIONS" USER="developer" PASSWD="welcomesxn" LAST_VER_SQL="select aggreation_time from APP_VERSION_NEWS_AGGREGATION where is_current='1' order by aggreation_time desc limit 1" CONNECT="mysql -h${IP} -P${PORT} -u${USER} -p${PASSWD} -D ${DB_M}" ## # mysql s...
true
62665a50e1f3dde20a7e457852887384a114ec9d
Shell
xinghun61/infra
/3pp/readline/install.sh
UTF-8
553
2.953125
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash # Copyright 2018 The Chromium Authors. All rights reserved. # Use of this source code is governed by a BSD-style license that can be # found in the LICENSE file. set -e set -x set -o pipefail PREFIX="$1" DEPS_PREFIX="$2" export CCFLAGS="-I$DEPS_PREFIX/include" export CFLAGS="-I$DEPS_PREFIX/include" expor...
true
9f3d46cdf1d8964fbd14410f2b3c2905fda6f271
Shell
seam/build
/checkout.sh
UTF-8
3,055
4.0625
4
[]
no_license
#!/bin/sh usage() { cat << EOF usage: $0 options This script will check out Seam 3. OPTIONS: -a When performing a fetch use --all to retrieve all remotes -b Build and install parent, tools and bom modules -h Show this usage message -d Destination directory, otherwise the PWD is used ...
true
b639627bf32f79500b542baf1aaefdfd8d7fe3cb
Shell
hades13/apv5sdk-v15
/apv5sdk-v15/autelan/base-files/files_AQ2000CN/usr/sbin/ethportstatus
UTF-8
2,601
4.09375
4
[]
no_license
#!/bin/sh VERSION="$(basename $0) ver.1.0" USAGE="Usage: $(basename $0) <eth0|eth1> <port1|port2|...> <s=[0|10|100]> <d=[0|1]>" DESCRIPTION="Description: get or set the specified port's link status,auto-negotiation status,speed mode and duplex mode, s means speed(speed=0 means auto-negotiation),d means duplex(duplex=0...
true
7146bf31dd933614ffaf1420e6925d3ddbbef0cb
Shell
qb00091/appointments
/db/bin/make-manager
UTF-8
182
2.78125
3
[ "MIT" ]
permissive
#!/bin/sh if [ -z "$1" ] || [ -z "$2" ]; then exit 1; fi psql events -c "insert into admins (uid, rid) values ($1, $2)" if [ "$?" -eq 0 ]; then echo "User $1 is now admin of $2"; fi
true
b5d1b29164a331c3b9684310780d437a42fcfb6b
Shell
macisamuele/json-trait-rs
/scripts/bump-all-submodules.sh
UTF-8
616
3.484375
3
[ "MIT" ]
permissive
#!/usr/bin/env bash set -euo pipefail -o posix -o functrace git submodule foreach --recursive 'git fetch origin && git reset --hard origin/master' if [[ ! -f .gitmodules ]]; then echo "No registered submodules" exit 0 fi submodules=$(awk '$1 ~ /path/ {print $3}' .gitmodules) if [[ ${#submodules} -eq 0 ]]; th...
true
6fe59c5d4253a7ed489129eea754321f66f440a9
Shell
conda-forge/jupyter_contrib_nbextensions-feedstock
/recipe/post-link.sh
UTF-8
252
2.78125
3
[ "BSD-3-Clause", "BSD-2-Clause" ]
permissive
#!/bin/bash # We redirect stderr & stdout to conda's .messages.txt; for details, see # http://conda.pydata.org/docs/building/build-scripts.html { "${PREFIX}/bin/jupyter-contrib-nbextension" install --sys-prefix } >>"${PREFIX}/.messages.txt" 2>&1
true
c5600fe77a022fb72b83648b8fc57feb2326135b
Shell
austintgriffith/logger
/docker/build.sh
UTF-8
542
3.84375
4
[]
no_license
#!/bin/bash #we need to move the package.json file in so we can npm install during the build FILE="package.json" if [ -f $FILE ]; then echo "File $FILE exists." else echo "File $FILE does not exist, copying..." cp ../$FILE $FILE fi #copy in package json if it is different cmp -s package.json ../package.json > ...
true
554ccc5ed69fd0b331d94cefc501ab324ece4c94
Shell
grayasm/git-main
/tutorial/martin_streicher_rpm/01_build/part1.sh
UTF-8
428
3.21875
3
[]
no_license
#!/bin/bash set -x DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" if [ `basename $DIR` != "01_build" ]; then echo "run this script from: 01_build" exit fi rmdir -v BUILD RPMS SOURCES SPECS SRPMS mkdir -pv BUILD RPMS SOURCES SPECS SRPMS cd SOURCES wget http://ftp.halifax.rwth-aachen.de/gnu/wget/wget-1.18....
true
6f5b2179475e2d6dd4f770f4e6e26d822a58f0a9
Shell
fabianlee/blogcode
/bash/test_heredoc.sh
UTF-8
1,357
3.609375
4
[ "MIT" ]
permissive
#!/bin/bash # # Examples with heredoc # # https://tldp.org/LDP/abs/html/here-docs.html # https://linuxize.com/post/bash-heredoc/ # https://stackoverflow.com/questions/2500436/how-does-cat-eof-work-in-bash # https://stackoverflow.com/questions/7316107/how-to-split-strings-over-multiple-lines-in-bash # escaping character...
true
480426256664dfcb0fc4d3cdf2c9c3f369d97499
Shell
mission-systems-pty-ltd/snark
/actuators/universal_robots/test/ur-arm/test
UTF-8
1,646
3.578125
4
[ "BSD-2-Clause" ]
permissive
#!/bin/bash config=config.json prefix=ur5 publisher_port=$( name-value-get --from json $prefix/publisher/data/port < $config ) timeout=0.1 angle_tolerance=0.0001 status_sample=status_sample_stationary.bin real_target_angles=$( cat $status_sample | ur-arm-status --fields=arm/angles ) real_target_pose=$( cat $status_sam...
true
d3ba6d2269e2cbfe514dc5d7880266e39487ae1c
Shell
md-jamal/arm
/C_NOTES/0ule/7th/shell/9while/5while.sh
UTF-8
268
3.171875
3
[]
no_license
#!/bin/bash i=1 #输出1-10 并且不输出3 while true do if [ $i -eq 3 ] then let i++ continue #结束本次循环 fi if [ $i -eq 11 ] then break #结束本层循环 fi echo "$i" let i++ done exit 0
true
ac538de4d14d804eef6c98d2f8a4232658ce5b7a
Shell
danybmx/dotfiles-workspace
/setup-ubuntu.sh
UTF-8
2,300
2.859375
3
[]
no_license
#!/bin/bash set -e # UPGRADE sudo apt update -y sudo apt upgrade -y # EDITOR if ! [ -x "$(command -v nvim)" ]; then sudo apt install -y neovim python3-neovim sudo update-alternatives --install /usr/bin/vi vi /usr/bin/nvim 61 sudo update-alternatives --set vi /usr/bin/nvim sudo update-alternatives --install /...
true
064dc84560abe4e60aabcd54d18b1fbc9cf364e0
Shell
mkjubran/HM_MV_CNN
/TryMe_HMNoTexture_Function
UTF-8
1,237
3.078125
3
[]
no_license
#!/bin/bash clear #QP=$1 #NumberFrames=$2 #mbmapXxX=$3 #InputFile=$4 echo %####################################################################### echo MV QP=$1 , MV Resolution=$2 echo %####################################################################### #%%%%%%%%%% deleting .265 videos from previous run rm ./HM_...
true
91d64c763939837ce51b1f32af6d316931ddd337
Shell
olevole/jetpack
/images/example.showenv/showenv.sh
UTF-8
829
3.21875
3
[]
no_license
#!/bin/sh set -e cat <<EOF Program: $0 Args: $* I am: $(id) Work dir: $(pwd) Hostname: $(hostname) Environment: EOF env | sort date > /opt/data/date.txt cat <<EOF Mounts: EOF mount cat <<EOF Files: EOF ls -la echo echo -n 'date.txt: ' cat /opt/data/date.txt echo -n 'pre-start id: ' cat /opt/data/pre-start-id....
true
c738c428607a6137dd3a7c8c83864bf5ac0e588a
Shell
TreesLab/NCLtk
/bin/generate_Sequence.Path.sh
UTF-8
727
3.390625
3
[]
no_license
#!/usr/bin/env zsh genome=$1 if [[ -z "$genome" ]]; then echo "" echo "Usage:" echo "./generate_Sequence.Path.sh [genome folder]" echo "" echo "Example:" echo "./generate_Sequence.Path.sh /desktop/h19" echo "" exit fi BASEDIR=$(readlink -f $genome) cat <(echo "Chromosome name""\t""path") > p...
true
44dfc00775a37b823b576f9ed4d568f981472b29
Shell
photomoose/plantduino-legacy
/Arduino/Scripts/plantduino-command-listener
UTF-8
358
3.21875
3
[]
no_license
#!/bin/sh /etc/rc.common START=99 start() { echo "Starting plantduino-command-listener" python /root/command-listener.py & } stop() { pid=$(ps | grep '[p]ython /root/command-listener.py' | awk '{ print $1 }') echo "Stopping plantduino-command-listener" kill $pid echo "S...
true
aa09ebe4950ae0ed5d413ad6cfdfb42531a365f7
Shell
obal3588/DHALSIM
/ICS_topologies/ky3/launch_dhalsim_experiment.sh
UTF-8
628
3.15625
3
[ "MIT" ]
permissive
#!/bin/bash # There should be a DHALSIM configuration file with .yaml extension in the same folder. Also a .inp and .cpa files # with the same name in this folder topology_name=$1 week_index=$2 folder_name=$topology_name"_topology" # Create log folder if [ ! -d "logs" ]; then\ mkdir "logs";\ fi # Output folder to...
true
abf460675c5bbd0f5b72cc04cc2261fda1754bb0
Shell
StamLab/stampipes
/scripts/sentry/sentry-lib.bash
UTF-8
1,091
3.796875
4
[]
no_license
#!/bin/bash # This file is a library intended for use with http://sentry.io # Example usage in your script: : <<USAGE_EXAMPLE #!/bin/bash source sentry-lib.bash the_rest_of_your_script USAGE_EXAMPLE # Configuration: # One of two ways: # 1) Create $HOME/.sentryclirc # 2) Set ENV variable # These require a DSN which ca...
true
21a695b45f7b05410be3e31b15b11ef8cd87d12b
Shell
godane/archpwn
/repo/tunneling/ctunnel/PKGBUILD
UTF-8
650
2.78125
3
[]
no_license
# Contributor: Francesco Piccinno <stack.box@gmail.com> pkgname=ctunnel pkgver=0.3 pkgrel=1 pkgdesc="Proxy forward TCP or UDP connections via a cryptographic tunnel" arch=('i686' 'x86_64') url="http://nardcore.org/ctunnel" updateurl="http://nardcore.org/ctunnel/download=>ctunnel-" license=('GPL') depends=('openssl') g...
true
b14380b757411de834f8c6f6cdc5d1b4c25ad3ea
Shell
ChristophHaag/scripts
/touchjava
UTF-8
340
3.625
4
[]
no_license
#!/usr/bin/bash if [ -z "$1" ]; then echo "Call as $0 <Classname> [directory]" exit 1 fi case ${1:0:1} in [[:lower:]]) echo "$1 should begin with an uppercase letter." exit ;; esac if [ -z "$2" ]; then P="$1.java" else P="$2/$1.java" fi echo 'class' "$1" '{ public static void main(String[] args) { ...
true
17202e935aac207c27f78df4bb795f405155ab34
Shell
jensp/Arch-Linux-on-i586
/core/dhcpcd/PKGBUILD
UTF-8
1,490
2.96875
3
[]
no_license
# Maintainer: Jens Pranaitis <jens@chaox.net> # Contributor: Ronald van Haren <ronald.archlinux.org> # Contributor: Tom Killian <tom.archlinux.org> # Contributor: Judd Vinet <jvinet.zeroflux.org> pkgname=dhcpcd pkgver=5.1.1 pkgrel=1 pkgdesc="RFC2131 compliant DHCP client daemon" url="http://roy.marples.name/dhcpcd/" a...
true
0a2a7141410b88b7b50721304727a252f46d5519
Shell
liboyangbj/eeprom
/write_in.sh
UTF-8
2,086
3.84375
4
[]
no_license
#!/bin/bash if [ "$(id -u)" != "0" ]; then echo "This script must be run as root" 1>&2 exit 1 fi rm -rf num.txt write_in.eep read_out.eep read_out.txt MODELA=`cat /proc/device-tree/model` MODELB='Raspberry Pi' MODELC='ROCK PI' echo "Board $MODELA" FILENAME=num.txt #创建序列号的TXT文件 if [ ! -d $FILENAME...
true
c9ba3fb0e5bde251454d5ed5e95643a6afe1f6fc
Shell
mlaradji/misc
/lxc/port_forward.sh
UTF-8
740
2.703125
3
[ "MIT" ]
permissive
#!/bin/bash # Port forward 1080 and 10433 to ports 80 and 443 of web-server Server_ip="192.168.0.10" web_server_ip="192.168.10.100" interface="wlp3s0" sudo iptables-save > /home/mohamed/.iptables.bak sudo sysctl net.ipv4.ip_forward=1 sudo iptables -t nat -A PREROUTING -i "$interface" -p tcp -d "$Server_ip" --dpor...
true
a9438fd05f772d1f151a95b43e4e4d3b75f1bd54
Shell
RobbtZhang/vue-webhook
/vue-front.sh
UTF-8
445
2.796875
3
[]
no_license
#!/bin/bash WORK_PATH='/usr/projects/blog-c' cd $WORK_PATH echo "先清除老代码" git reset --hard origin/master git clean -f echo "拉取最新代码" git pull origin master echo "编译" yarn build echo "开始执行构建" docker build -t blog-c:1.0 . echo "停止旧容器并删除旧容器" docker stop blog-c-container docker rm blog-c-container echo "启动新容器" docker contain...
true
0f06af10c1e148a830a00ffda0fc85344c1fdfc0
Shell
hydazz/linux-scripts
/disabler.sh
UTF-8
3,830
3.90625
4
[]
no_license
#!/bin/bash # ~~~~~~~~~~~~~~~~~~~~~~~ # set colours # ~~~~~~~~~~~~~~~~~~~~~~~ red='\033[1;31m' # red green='\033[1;32m' # Green bold='\033[1;37m' # white bold nc='\033[0m' # no colour # ~~~~~~~~~~~~~~~~~~~~~~~ # get parameters from user # ~~~~~~~~~~~~~~~~~~~~~~~ helpFunction() { echo "" echo -e "${bold}U...
true